package com.yonge.cooleshow.biz.dal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author: cy
 * @Date: 2022/4/13
 */
@ApiModel(value = "MyRepliedVo")
public class MyRepliedVo implements Serializable {
    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @ApiModelProperty(value = "课程组id")
    private Long courseGroupId;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "用户姓名")
    private String userName;

    @ApiModelProperty(value = "头像地址")
    private String avatar;

    @ApiModelProperty(value = "上课日期")
    private Date classDate;

    @ApiModelProperty(value = "上课时间")
    private Date startTime;

    @ApiModelProperty(value = "下课时间")
    private Date endTime;

    @ApiModelProperty(value = "声部id")
    private Integer subjectId;

    @ApiModelProperty(value = "声部名称")
    private String subjectName;

    @ApiModelProperty(value = "评分")
    private String score;

    @ApiModelProperty(value = "学员课后评价")
    private String studentReplied;

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public Long getCourseGroupId() {
        return courseGroupId;
    }

    public void setCourseGroupId(Long courseGroupId) {
        this.courseGroupId = courseGroupId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Date getClassDate() {
        return classDate;
    }

    public void setClassDate(Date classDate) {
        this.classDate = classDate;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getScore() {
        return score;
    }

    public void setScore(String score) {
        this.score = score;
    }

    public String getStudentReplied() {
        return studentReplied;
    }

    public void setStudentReplied(String studentReplied) {
        this.studentReplied = studentReplied;
    }
}
